=== debian/changelog ===
syslog-ng (3.5.5-2) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Explicitly disable linux capability support on non-linux platforms,
    instead of relying on auto-detection (which doesn't always work).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 26 Jul 2014 13:53:39 +0200

syslog-ng (3.5.5-1) unstable; urgency=high

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release, fixing major leaks (hence the urgency)
  * Build-Depend on libjson-c-dev | libjson0-dev. (Closes: #745014)
  * Add /var/log/error to the logrotate file. (Closes: #747020)
  * Include libsyslog-ng-test.a and the related pkg-config file in the
    syslog-ng-dev package.
  * Added an upstart init script (mostly for the benefit of older Ubuntu
    releases and backports).
  * syslog-ng-mod-redis no longer (mistakenly) recommends geoip-database.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 23 Jul 2014 18:44:55 +0200

syslog-ng (3.5.4.1-1) unstable; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
  * Handle the shlibs file correctly, and install it to the syslog-ng-core
    package.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 19 Mar 2014 09:14:08 +0100
