## syslog-ng 3.5.6

=== modules/afamqp/rabbitmq-c/codegen/Makefile ===
all:
	echo "Please select a target from the Makefile."

clean:
	rm -f *.pyc

distclean: clean
	find . -regex '.*\(~\|#\|\.swp\)' -exec rm {} \;
