=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.balabit.com/downloads/files/syslog-ng/sources/(\d\S*)/source/syslog-ng_(.*)\.tar\.gz
