## syslog-ng 3.6.2

=== debian/changelog ===
syslog-ng (3.6.2) unstable; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Mon, 15 Dec 2014 14:50:51 +0000

Local variables:
mode: debian-changelog
End:
