## syslog-ng 3.6.4

=== debian/changelog ===
syslog-ng (3.6.4) unstable; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Fri, 19 Jun 2015 11:24:22 +0000

Local variables:
mode: debian-changelog
End:
